/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.http.ResponseEntity;

/**
 * Interface for designing transaction submission.
 * @author BEAUVAIS ANTOINE
 */
public interface ISubmitTransactionController {
    
    /**
     * Submits a transaction to the application.
     * @param request the HTTP Servlet Request, provided by Spring Web
     * @param response the HTTP Servlet Response, provided by Spring Web
     * @return the response served to the user.
     * @throws java.lang.Exception when the request cannot be served.
     */
    public ResponseEntity<Object> submitTransaction(HttpServletRequest request,
            HttpServletResponse response) throws Exception;
    
}
